Index: test/src/org/ametys/runtime/test/rights/profile/OracleProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/OracleProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/OracleProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime4.xml", "config_oracle.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-oracle.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/rights/profile/PostgresProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/PostgresProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/PostgresProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime4.xml", "config_postgres.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-postgresql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/rights/profile/hierarchical/AbstractHierarchicalProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/hierarchical/AbstractHierarchicalProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/hierarchical/AbstractHierarchicalProfileBasedRightsManagerTestCase.java	(working copy)
@@ -53,11 +53,14 @@
      * Reset the db
      * @param runtimeFilename The file name in runtimes env dir
      * @param configFileName The file name in config env dir
+     * @param sqlDataSourceFileName The file name in config env dir
      * @throws Exception if an error occurs
      */
-    protected void _resetDB(String runtimeFilename, String configFileName) throws Exception
+    protected void _resetDB(String runtimeFilename, String configFileName, String sqlDataSourceFileName) throws Exception
     {
-        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/webapp1");
+        super.setUp();
+        
+        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/configs/" + sqlDataSourceFileName, null, "test/environments/webapp1");
 
         _setDatabase(Arrays.asList(getScripts()));
 
Index: test/src/org/ametys/runtime/test/rights/profile/hierarchical/DerbyHierarchicalProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/hierarchical/DerbyHierarchicalProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/hierarchical/DerbyHierarchicalProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime5.xml", "config_derby.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-derby.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/rights/profile/hierarchical/HsqlHierarchicalProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/hierarchical/HsqlHierarchicalProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/hierarchical/HsqlHierarchicalProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime5.xml", "config_hsqldb.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-hsql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/rights/profile/hierarchical/MysqlHierarchicalProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/hierarchical/MysqlHierarchicalProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/hierarchical/MysqlHierarchicalProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime5.xml", "config1.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-mysql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/rights/profile/hierarchical/OracleHierarchicalProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/hierarchical/OracleHierarchicalProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/hierarchical/OracleHierarchicalProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime5.xml", "config_oracle.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-oracle.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/rights/profile/hierarchical/PostgresHierarchicalProfileBasedRightsManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/rights/profile/hierarchical/PostgresHierarchicalProfileBasedRightsManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/rights/profile/hierarchical/PostgresHierarchicalProfileBasedRightsManagerTestCase.java	(working copy)
@@ -26,9 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _resetDB("runtime5.xml", "config_postgres.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-postgresql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/ui/DesktopManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/ui/DesktopManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/ui/DesktopManagerTestCase.java	(working copy)
@@ -40,9 +40,8 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp2");
+        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp2");
+
         
         _desktopManager = (DesktopManager) Init.getPluginServiceManager().lookup("DesktopManagerTest");
         _jsonUtils = (JSONUtils) Init.getPluginServiceManager().lookup(JSONUtils.ROLE);
Index: test/src/org/ametys/runtime/test/ui/StaticUIItemFactoryTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/ui/StaticUIItemFactoryTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/ui/StaticUIItemFactoryTestCase.java	(working copy)
@@ -33,10 +33,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        
-        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp2");
-        
+        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp2");
         _desktopManager = (DesktopManager) Init.getPluginServiceManager().lookup("DesktopManagerTest");
     }
     
Index: test/src/org/ametys/runtime/test/userpref/AbstractUserPreferencesTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/userpref/AbstractUserPreferencesTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/userpref/AbstractUserPreferencesTestCase.java	(working copy)
@@ -55,11 +55,12 @@
      * Reset the db
      * @param runtimeFilename The file name in runtimes env dir
      * @param configFileName The file name in config env dir
+     * @param sqlDataSourceFileName the configuration file name for data sources
      * @throws Exception if an error occurs
      */
-    protected void _resetDB(String runtimeFilename, String configFileName) throws Exception
+    protected void _resetDB(String runtimeFilename, String configFileName, String sqlDataSourceFileName) throws Exception
     {
-        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/webapp1");
+        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/configs/" + sqlDataSourceFileName, null, "test/environments/webapp1");
         
         _setDatabase(Arrays.asList(getScripts()));
 
Index: test/src/org/ametys/runtime/test/userpref/DerbyUserPreferencesTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/userpref/DerbyUserPreferencesTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/userpref/DerbyUserPreferencesTestCase.java	(working copy)
@@ -27,7 +27,7 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        _resetDB("runtime4.xml", "config_derby.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-derby.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/userpref/MysqlUserPreferencesTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/userpref/MysqlUserPreferencesTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/userpref/MysqlUserPreferencesTestCase.java	(working copy)
@@ -27,7 +27,7 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        _resetDB("runtime4.xml", "config1.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-mysql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/userpref/OracleUserPreferencesTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/userpref/OracleUserPreferencesTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/userpref/OracleUserPreferencesTestCase.java	(working copy)
@@ -27,7 +27,7 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        _resetDB("runtime4.xml", "config_oracle.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-oracle.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/userpref/PostgresUserPreferencesTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/userpref/PostgresUserPreferencesTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/userpref/PostgresUserPreferencesTestCase.java	(working copy)
@@ -27,7 +27,7 @@
     protected void setUp() throws Exception
     {
         super.setUp();
-        _resetDB("runtime4.xml", "config_postgres.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-postgresql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/AbstractJDBCUsersManagerTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/AbstractJDBCUsersManagerTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/AbstractJDBCUsersManagerTestCase.java	(working copy)
@@ -1,5 +1,5 @@
 /*
- *  Copyright 2009 Anyware Services
+ *  Copyright 2009 Anyware Services_configureRuntime
  *
  *  Licensed under the Apache License, Version 2.0 (the "License");
  *  you may not use this file except in compliance with the License.
@@ -34,11 +34,12 @@
      * Reset the db
      * @param runtimeFilename The file name in runtimes env dir
      * @param configFileName The file name in config env dir
+     * @param sqlDataSourceFileName the path of the data sources configuration file
      * @throws Exception if an error occurs
      */
-    protected void _resetDB(String runtimeFilename, String configFileName) throws Exception
+    protected void _resetDB(String runtimeFilename, String configFileName, String sqlDataSourceFileName) throws Exception
     {
-        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/webapp1");
+        _startApplication("test/environments/runtimes/" + runtimeFilename, "test/environments/configs/" + configFileName, "test/environments/configs/" + sqlDataSourceFileName, null, "test/environments/webapp1");
 
         _setDatabase(Arrays.asList(getScripts()));
         
Index: test/src/org/ametys/runtime/test/users/jdbc/DerbyJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/DerbyJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/DerbyJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime4.xml", "config_derby.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-derby.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/HsqlJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/HsqlJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/HsqlJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime4.xml", "config_hsqldb.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-hsql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/MysqlJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/MysqlJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/MysqlJdbcUsersTestCase.java	(working copy)
@@ -22,12 +22,10 @@
  */
 public class MysqlJdbcUsersTestCase extends AbstractJdbcUnmodifiableUsersTestCase
 {
-
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime4.xml", "config1.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-mysql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/OracleJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/OracleJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/OracleJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime4.xml", "config_oracle.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-oracle.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/PostgresJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/PostgresJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/PostgresJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime4.xml", "config_postgres.xml");
+        _resetDB("runtime4.xml", "config1.xml", "datasource-postgresql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/AbstractCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/AbstractCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/AbstractCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,6 +26,7 @@
 import org.ametys.core.user.CredentialsAwareUsersManager;
 import org.ametys.core.user.ModifiableUsersManager;
 import org.ametys.plugins.core.impl.user.jdbc.CredentialsAwareJdbcUsersManager;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.test.users.jdbc.AbstractJDBCUsersManagerTestCase;
 
 /**
@@ -104,13 +105,12 @@
      */
     protected void _checkSHA2Password() throws Exception
     {
-        Connection connection = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
         
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
             
             String sql = "SELECT password, salt FROM Users WHERE login = ?";
             
@@ -128,10 +128,6 @@
                 assertTrue (storedPassword.length() == 128);
             }
         }
-        finally
-        {
-            ConnectionHelper.cleanup(connection);
-        }
     }
     
 }
Index: test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/DerbyCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/DerbyCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/DerbyCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime7.xml", "config_derby.xml");
+        _resetDB("runtime7.xml", "config1.xml", "datasource-derby.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/HsqlCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/HsqlCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/HsqlCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime7.xml", "config_hsqldb.xml");
+        _resetDB("runtime7.xml", "config1.xml", "datasource-hsql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/MysqlCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/MysqlCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/MysqlCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime7.xml", "config1.xml");
+        _resetDB("runtime7.xml", "config1.xml", "datasource-mysql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/OracleCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/OracleCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/OracleCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime7.xml", "config_oracle.xml");
+        _resetDB("runtime7.xml", "config1.xml", "datasource-oracle.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/PostgresCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/PostgresCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/credentialsaware/PostgresCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -17,6 +17,8 @@
 
 import java.io.File;
 
+import org.ametys.core.datasource.sql.SQLDataSourceManager;
+
 /**
  * PostgreSQL-specific credentials aware JDBC UsersManager test case.
  */
@@ -26,8 +28,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime7.xml", "config_postgres.xml");
+        _resetDB("runtime7.xml", "config1.xml", "datasource-postgresql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiable/DerbyModifiableJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiable/DerbyModifiableJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiable/DerbyModifiableJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime5.xml", "config_derby.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-derby.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiable/HsqlModifiableJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiable/HsqlModifiableJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiable/HsqlModifiableJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime5.xml", "config_hsqldb.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-hsql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiable/MysqlModifiableJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiable/MysqlModifiableJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiable/MysqlModifiableJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime5.xml", "config1.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-mysql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiable/OracleModifiableJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiable/OracleModifiableJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiable/OracleModifiableJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime5.xml", "config_oracle.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-oracle.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiable/PostgresModifiableJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiable/PostgresModifiableJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiable/PostgresModifiableJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime5.xml", "config_postgres.xml");
+        _resetDB("runtime5.xml", "config1.xml", "datasource-postgresql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/DerbyModifiableCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/DerbyModifiableCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/DerbyModifiableCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime6.xml", "config_derby.xml");
+        _resetDB("runtime6.xml", "config1.xml", "datasource-derby.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/HsqlModifiableCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/HsqlModifiableCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/HsqlModifiableCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime6.xml", "config_hsqldb.xml");
+        _resetDB("runtime6.xml", "config1.xml", "datasource-hsql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/MysqlModifiableCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/MysqlModifiableCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/MysqlModifiableCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime6.xml", "config1.xml");
+        _resetDB("runtime6.xml", "config1.xml", "datasource-mysql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/OracleModifiableCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/OracleModifiableCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/OracleModifiableCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime6.xml", "config_oracle.xml");
+        _resetDB("runtime6.xml", "config1.xml", "datasource-oracle.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/PostgresModifiableCredentialsAwareJdbcUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/PostgresModifiableCredentialsAwareJdbcUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/jdbc/modifiablecredentialsaware/PostgresModifiableCredentialsAwareJdbcUsersTestCase.java	(working copy)
@@ -26,8 +26,7 @@
     @Override
     protected void setUp() throws Exception
     {
-        super.setUp();
-        _resetDB("runtime6.xml", "config_postgres.xml");
+        _resetDB("runtime6.xml", "config1.xml", "datasource-postgresql.xml");
     }
     
     @Override
Index: test/src/org/ametys/runtime/test/users/ldap/CredentialAwareLdapUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/ldap/CredentialAwareLdapUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/ldap/CredentialAwareLdapUsersTestCase.java	(working copy)
@@ -30,7 +30,7 @@
     @Override
     protected void _startApp() throws Exception
     {
-        _startApplication("test/environments/runtimes/runtime9.xml", "test/environments/configs/config4.xml", "test/environments/webapp1");
+        _startApplication("test/environments/runtimes/runtime9.xml", "test/environments/configs/config4.xml", null, "test/environments/configs/datasource-ldap.xml", "test/environments/webapp1");
         
         _usersManager = (UsersManager) Init.getPluginServiceManager().lookup(UsersManager.ROLE);
     }
Index: test/src/org/ametys/runtime/test/users/ldap/LdapUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/ldap/LdapUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/ldap/LdapUsersTestCase.java	(working copy)
@@ -57,8 +57,7 @@
      */
     protected void _startApp() throws Exception
     {
-        _startApplication("test/environments/runtimes/runtime8.xml", "test/environments/configs/config3.xml", "test/environments/webapp1");
-        
+        _startApplication("test/environments/runtimes/runtime8.xml", "test/environments/configs/config3.xml", null, "test/environments/configs/datasource-ldap.xml", "test/environments/webapp1");
         _usersManager = (UsersManager) Init.getPluginServiceManager().lookup(UsersManager.ROLE);
     }
     
Index: test/src/org/ametys/runtime/test/users/others/StaticUsersTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/users/others/StaticUsersTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/users/others/StaticUsersTestCase.java	(working copy)
@@ -41,7 +41,7 @@
     {
         super.setUp();
         
-        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp1");
+        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp1");
     }
     
     @Override
